Bug 200696 - No Lua Support in Celestia (i.e., for .celx scripts)
No Lua Support in Celestia (i.e., for .celx scripts)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-30 21:58 EDT by Nick Urbanik
Modified: 2008-03-01 10:01 EST (History)
1 user (show)

See Also:
Fixed In Version: celestia-1.5.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 10:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This attachment is from http://www.archlinux.org/pipermail/tur-users/attachments/20060603/7dea8cd1/celestia-lua51.bin (2.00 KB, patch)
2006-07-30 21:58 EDT, Nick Urbanik
no flags Details | Diff
This was written with advice from Hank Ramsey. (1.02 KB, patch)
2006-07-30 22:02 EDT, Nick Urbanik
no flags Details | Diff
The new spec file that applies the patches and adds the --with-lua option to the configure script. (7.12 KB, text/plain)
2006-07-30 22:05 EDT, Nick Urbanik
no flags Details

  None (edit)
Description Nick Urbanik 2006-07-30 21:58:49 EDT
Description of problem: Celestia has not been compiled with support for lua.


Version-Release number of selected component (if applicable): 1.4.1-2.fc5


How reproducible: Always


Steps to Reproduce:
1. Open Celestia
2. Select File->Open Script
3. Be unable to run any .celx scripts
  
Actual results: Cannot run any .celx scripts


Expected results: See the .celx scripts appear in file browser, be able to
execute them successfully.


Additional info: After applying the two patches attached, and modifying the spec
file appropriately, it works.  Please apply the fix, since, .celx files provide
proper scripting, whereas the legacy .cel files are much more limited.
Comment 2 Nick Urbanik 2006-07-30 22:02:19 EDT
Created attachment 133300 [details]
This was written with advice from Hank Ramsey.

Without this patch, Celestia segfaults when try to load a .celx file.  This was
discussed on the celestia-developers list, with Hank Ramsey.
Comment 3 Nick Urbanik 2006-07-30 22:05:57 EDT
Created attachment 133301 [details]
The new spec file that applies the patches and adds the --with-lua option to the configure script.

This is the spec file I modified to successfully create the packages at
http://nicku.org/software/celestia/

I also added the developer documentation, as mentioned in the changelog.
Comment 4 Steven Pritchard 2006-07-31 12:51:54 EDT
We can't mark celestia.cfg as %config as-is.  It will need to move to /etc.

Otherwise, I've incorporated everything in 1.4.1-3 (building in devel now, and
I'll build it for FC5 if that goes well).

Thanks!
Comment 5 Steven Pritchard 2006-08-08 14:50:05 EDT
I had to add a couple of BuildRequires to build in devel, but that's done now.  
I'm building for FC-5 now.

I'll leave this open until we figure out what to do about the celestia.cfg 
issue.
Comment 6 Marek Mahut 2008-03-01 10:01:47 EST
Lua support is build in. Regarding the celestia.cfg configuration file, I think
we should not keep it under /etc as it's not ordinary (per user) configuration
file. 

I'm closing this bug, if you think that the configuration file should go
elsewhere, please open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.